Similar to how identities are non-global, hashtags in bivouac aren't global either. Meaning 
is derived from who curated the tag. Hashtags in bivouac are managed by `.decal` 
documents.

A tagging relationship is expressed in three documents:
- the tag article (held by the curator) explaining more about the tag in a wiki page (and defining how to address the tag curator's and author's inboxes)
- the curators' list of tagged articles (held by the curator) explaining the relationship from the curator's point of view
- the specific document's tag anchor (held by the author of the document) explaining the author's point of view on the relationship.
## Hashtag Namespacing
Tags in Bivouac are namespaced to curator roles. They also contain a colon to define the 
superclass of tags, for example `#wiki:whales@curator@@coolhacker.phish` for 
publications about whales, or `#karma:trolling@mods@@coolhacker.phish` for users 
warned about trolling.
## Microformats
You might be familiar with these, they look a little like microformats 
(`#namespace:key=value`)

Some example tag superclasses:

- `#admin:appeal` - encrypt to only the admin of the group
- `#mod:spam` - report spam to mods
- `#mod:report` - report to mods, not to article author
- `#wiki:squirrels` - articles about squirrels
- `#react:downvote` - reactions

## Censor Lists

Decal tags also include censored topics, where the item in question that members are 
asked to not mirror is hashed with a salt. This is a cryptographic technique so as to not 
reveal the address to the referenced document. In that instance, the list of tagged articles 
is a list of "hash", "salt", "hashmethod", "memo". This is similar to [ahmia's list](https://ahmia.fi/blacklist/).

In the instance of a censored tag, a user's client should by default not download, mirror, 
or statically render the document. For example, if `@@coolhackers.phish` does not want 
discussion of `cheesy broccoli`.

## Community-Sourced Tagging

Users may also use decal tags as a form of content warning.

Tags may also be submitted to curators and authors by people who are neither the 
curator nor the author. Pending or rejected tags may optionally be viewed by other 
members of a group or audience (if public) so long as the tag proposal is still live on 
somebody's box and someone wants to view it. This can be viewed as similar to 
collaborative tagging in Danbooru, an image board software.

## Tag Priorities

If users believe an identically named tag is better curated by group X instead of group Y,
they could choose to go with X's curation and only use Y's when X hasn't made a 
decision. In this way wikis function like a Union filesystem, where some folders come from 
one hard drive, but deep inside them some other folders might come from another hard 
drive. Your view of tags is based on who you think does the best tag categorization, and 
you can mute or delegate as appropriate. You might even use virtual decision flows to 
decide and weight them.