Syzygy is the home of many configuration settings and voiced preferences for things like 
notifications, feeds, recommendations, search, and delegation.

## Notifications
In bivouac, a group may have roles that have certain duties, or are the only ones who can 
perform a certain action. These users need to be notified to perform the manual 
decisions in a timely manner. This is done when their editor emails them (no other nodes 
on the network know their email address).

Perhaps you want to turn on notifications for any time a friend posts. Or mute a noisy 
discussion.

An important role in bivouac is being someone's Nameserver. You probably should allow 
emails whenever their records change, so you can quickly confirm with them out of band 
and update your record.
## Feeds
Bivouac feeds are sortable and configurable. For example, a user might choose to use 
Reddit's sorting algorithm (the [wilson score interval](https://medium.com/hacking-and-gonzo/how-reddit-ranking-algorithms-work-ef111e33d0d9)), or they might prefer 
chronological, or something else.

They might also set muted topics or users.

## Delegation
Syzygy defines "autopilot" actions one should take if a user does not manually cast their 
vote for a decision.

You could, for example, delegate climate decisions to your favorite science curator.

Groups may decide that for certain votes this "zombie" voting should not take place. Or 
they could decide that the vote should decay by some factor (like 1/n'th of a vote).

If delegation was disallowed or failed to happen (because your delegate didn't choose), 
you'll get notified before your time is up to vote. You could also choose to get notified of 
what they picked and approve it.

## Recommendations
Syzygy hopes to walk a balance you define to show you deviant/dissenting stuff in ways 
that respect your boundaries. Many of the tools here could be used to create some 
serious filter bubbles, that's not necessarily all bad, but it's something you should be able 
to configure. An example would be similar-topic recommendations.

Recommendations are something that all four of you have to opt in to:
- the author of document A
- the author of document B
- the friend who linked both A and B
- you, the person receiving the recommendation

Recomendations can be simple "[find a subreddit](https://anvaka.github.io/redsim/#!?q=django)" style 'people in X are often in Y', 
matrix multiplication recommendations. Ideally they should focus on content, not on the person doing the search.
## Search
Bivouac search is implemented via static site indexes (there are two implementations we 
know of, one is used by mdbook, [elasticlunr](http://elasticlunr.com/)).

The search index should be encrypted to the same Crew audience. During a search, 
bivouac will draw from all the indexes that you're a member of.

If someone's content is pending moderation, the mods might downrank or remove it from the search 
indexes temporarily.
## Discoverability
Syzygy documents define how discoverable you want to be. For example, maybe you 
don't want to be publicly listed as a member of a group, or publicly listed on a friends' list 
of petnames. Or maybe whether you want to appear in search.

Authors of documents also define under what conditions their document is placed in the 
static search index files.

## View From Nowhere

When viewing the wiki in the editor, one can have an enriched ability to view the 
documents from another person's point of view (provided enough of their preference 
documents and rules are public). Or, they can view the space of all wikis across the 
wiki-verse from a "view from nowhere", e.g. viewing all things claiming to be the authority 
on "Idaho" in a serendipitous exploration of content.
